Name:		media-explorer
Version:	0.3.2
Release:	1%{?dist}
Summary:	Media center application

Group:		Applications/Multimedia
License:	LGPLv2+
# Bugs
# https://github.com/media-explorer/media-explorer/issues?state=open
# Wiki
# https://github.com/media-explorer/media-explorer/wiki/Ideas
URL:		http://media-explorer.github.com/
Source0:	http://media-explorer.github.com/releases/%{name}-%{version}.tar.xz

BuildRequires:	intltool
BuildRequires:	grilo-devel
BuildRequires:	glib2-devel
BuildRequires:	gdk-pixbuf2-devel
BuildRequires:	libmx-devel
BuildRequires:	rest-devel
BuildRequires:	dbus-glib-devel
BuildRequires:	libsoup-devel
BuildRequires:	clutter-gst-devel
BuildRequires:	lirc-devel
BuildRequires:	NetworkManager-devel

BuildRequires:	autoconf automake libtool

# For plugins
BuildRequires:	gupnp-devel avahi-glib-devel tracker-devel

Requires:	grilo-plugins
Requires:	gstreamer-plugins-bad-free
Requires:	gstreamer-plugins-base
Requires:	gstreamer-plugins-good

%description
Media explorer is a media center application for Linux, originally
targeted towards MeeGo.

%prep
%setup -q

# Needed to remove the rpaths
autoreconf -f

%build
%configure					\
	--enable-rebinder=no			\
	--with-thumbnailer=internal		\
	--with-plugins=search,queue,dbusinput,upnp,tracker,gnome-dvb,recommended	\
	--disable-introspection

make %{?_smp_mflags}

%install
make install DESTDIR=$RPM_BUILD_ROOT

# nuke the .la file(s)
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'

%find_lang %{name} --with-gnome

%post
/sbin/ldconfig
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
/sbin/ldconfig
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
/usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%files -f %{name}.lang
%doc COPYING AUTHORS NEWS README
%{_bindir}/mex-*
%{_bindir}/media-explorer
%{_libdir}/libmex-0.2.so*
%{_libdir}/media-explorer/
%{_libexecdir}/mex-thumbnailer
%{_datadir}/applications/media-explorer.desktop
%{_datadir}/dbus-1/services/mex-webremote.service
%{_datadir}/icons/hicolor/*/apps/media-explorer.png
%{_datadir}/media-explorer/

%changelog
* Mon Oct 31 2011 Bastien Nocera <bnocera@redhat.com> 0.3.2-1
- Update to 0.3.2

* Thu Oct 06 2011 Bastien Nocera <bnocera@redhat.com> 0.2.0-1
- Update to 0.2.0

* Sat Sep 17 2011 Bastien Nocera <bnocera@redhat.com> 0.1.6-2
- Update comments about rpath removal

* Mon Sep 12 2011 Bastien Nocera <bnocera@redhat.com> 0.1.6-1
- Update to 0.1.6

* Mon Aug 01 2011 Bastien Nocera <bnocera@redhat.com> 0.1.4-1
- Update to 0.1.4

* Tue Jul 05 2011 Bastien Nocera <bnocera@redhat.com> 0.1.2-1
- First pass

